## hw-probe 1.6.5

=== Makefile ===
prefix ?= /usr
tool = hw-probe
tool_dir = $(DESTDIR)$(prefix)/bin

.PHONY: all

all:
	echo "Nothing to build."

install:
	mkdir -p $(tool_dir)
	install -m 755 $(tool).pl $(tool_dir)/$(tool)

uninstall:
	rm -f $(tool_dir)/$(tool)

clean:
	echo "Nothing to clean up."

## hw-probe 1.4

=== debian/changelog ===
hw-probe (1.4-3) unstable; urgency=medium

  * Update Std-Vers to 4.5.0, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Feb 2020 21:53:44 +0100

hw-probe (1.4-2) unstable; urgency=medium

  * Add missing build dependency. Closes: #950937

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Feb 2020 21:00:27 +0100

hw-probe (1.4-1) unstable; urgency=low

  * Initial release (Closes: #941448)

 -- Mathieu Malaterre <malat@debian.org>  Mon, 30 Sep 2019 20:38:51 +0200

=== debian/control ===
Source: hw-probe
Section: utils
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>=9), help2man, perl-base (>=5)
Standards-Version: 4.5.0
Homepage: https://github.com/linuxhw/hw-probe

Package: hw-probe
Architecture: all
Depends: acpica-tools,
         curl,
         dmidecode,
         hdparm,
         hwinfo,
         libdigest-sha-perl,
         libwww-perl,
         lm-sensors,
         lsb-release,
         mesa-utils,
         pciutils,
         perl-base (>=5),
         smartmontools,
         usbutils,
         x11-utils,
         ${misc:Depends},
         ${perl:Depends}
Recommends: alsa-utils,
            cpuid,
            edid-decode,
            ethtool,
            fdisk,
            i2c-tools,
            iw,
            mcelog,
            memtester,
            pnputils,
            sysstat,
            upower,
            vainfo,
            vdpauinfo,
            vulkan-utils,
            wireless-tools,
            x11-xserver-utils,
            xinput
Description: Tool to check operability of computer hardware
 A tool to check operability of computer hardware and upload result
 to the Linux hardware database.
 .
 Probe — is a snapshot of your computer's hardware state and system
 logs. The tool returns a permanent URL to view the probe of the
 computer.
 .
 The tool is intended to simplify collecting of logs necessary for
 investigating hardware related problems. Just ask user to run one
 simple command to collect all the system logs at once:
 .
     sudo hw-probe -all -upload
 .
 By creating probes you contribute to the HDD/SSD Real-Life
 Reliability Test study: https://github.com/linuxhw/SMART

## hw-probe 1.5

=== debian/changelog ===
hw-probe (1.5-1) unstable; urgency=medium

  * New upstream version 1.5

 -- Mathieu Malaterre <malat@debian.org>  Fri, 21 Feb 2020 18:36:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends: debhelper (>=9), help2man, perl-base (>=5)
 Standards-Version: 4.5.0
 Homepage: https://github.com/linuxhw/hw-probe
+Vcs-Browser: https://salsa.debian.org/debian/hw-probe
+Vcs-Git: https://salsa.debian.org/debian/hw-probe.git
 
 Package: hw-probe
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/linuxhw/hw-probe/tags .*/v?(\d\S+)\.tar\.gz

## hw-probe 1.6

=== debian/changelog ===
hw-probe (1.6-1) unstable; urgency=medium

  * d/watch: Remove dh_make template cruft
  * d/copyright: Upstream removed the old debian/ subfolder
  * New upstream version 1.6
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update date in copyright

 -- Mathieu Malaterre <malat@debian.org>  Tue, 14 Dec 2021 08:33:03 +0100

hw-probe (1.6~beta-2) experimental; urgency=medium

  * d/control: Move x11-utils to Recommends section. Closes: #993357
  * d/control: Bump Std-Vers to 4.6.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 31 Aug 2021 21:54:52 +0200

hw-probe (1.6~beta-1) experimental; urgency=medium

  * d/control: recommends transitional package vulkan-utils. Closes: #970397
  * New upstream version 1.6~beta

 -- Mathieu Malaterre <malat@debian.org>  Thu, 12 Nov 2020 11:39:37 +0100

## hw-probe 1.6.1

=== debian/changelog ===
hw-probe (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

 -- Mathieu Malaterre <malat@debian.org>  Tue, 04 Jan 2022 13:19:10 +0100

## hw-probe 1.6.2

=== debian/changelog ===
hw-probe (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2

 -- Mathieu Malaterre <malat@debian.org>  Thu, 17 Feb 2022 09:16:05 +0100

## hw-probe 1.6.3

=== debian/changelog ===
hw-probe (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3

 -- Mathieu Malaterre <malat@debian.org>  Wed, 30 Mar 2022 16:31:43 +0200

## hw-probe 1.6.4

=== debian/changelog ===
hw-probe (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4

 -- Mathieu Malaterre <malat@debian.org>  Mon, 20 Jun 2022 16:30:19 +0200

## hw-probe 1.6.5

=== debian/changelog ===
hw-probe (1.6.5-1) unstable; urgency=medium

  * New upstream version 1.6.5

 -- Mathieu Malaterre <malat@debian.org>  Mon, 26 Sep 2022 10:28:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>=9), help2man, perl-base (>=5)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), help2man, perl-base (>=5)
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxhw/hw-probe
 Vcs-Browser: https://salsa.debian.org/debian/hw-probe
 Vcs-Git: https://salsa.debian.org/debian/hw-probe.git
+Rules-Requires-Root: no
 
 Package: hw-probe
 Architecture: all
@@ -24,7 +25,6 @@
          perl-base (>=5),
          smartmontools,
          usbutils,
-         x11-utils,
          ${misc:Depends},
          ${perl:Depends}
 Recommends: alsa-utils,
@@ -41,8 +41,9 @@
             upower,
             vainfo,
             vdpauinfo,
-            vulkan-utils,
+            vulkan-tools,
             wireless-tools,
+            x11-utils,
             x11-xserver-utils,
             xinput
 Description: Tool to check operability of computer hardware

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

debian/hw-probe.1: debian/hw-probe.1.in
	help2man --include=$< --output=$@ --no-info debian/hw-probe/usr/bin/hw-probe

override_dh_clean:
	dh_clean debian/hw-probe.1

override_dh_installdocs: debian/hw-probe.1
	dh_installdocs

get-orig-source:
	uscan --download --force-download --rename

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hw-probe-$1\.tar\.gz/ \
  https://github.com/linuxhw/hw-probe/tags .*/v?(\d\S+)\.tar\.gz
